flowblade (2.0-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * rebuild for mstrict-align

 -- root <root@loongson-pc>  Fri, 28 Jan 2022 12:18:57 +0800

flowblade (2.0-1) unstable; urgency=medium

  * debian/control: add myself to uploaders.
  * Bump debhelper version to 10.
  * Bump standards version to 4.2.1.

 -- Gürkan Myczko <gurkan@phys.ethz.ch>  Mon, 11 Feb 2019 13:15:58 +0100

flowblade (1.16-2) unstable; urgency=medium

  [ Bartosz Fenski ]
  * Fixes segmentation fault (Closes: #900544)

 -- Bartosz Fenski <fenio@debian.org>  Wed, 15 Aug 2018 13:12:16 +0200

flowblade (1.16-1) unstable; urgency=medium

  [ Mateusz Łukasik ]
  * Team upload.
  * New upstream version.

  [ Felipe Sateler ]
  * Change maintainer address to debian-multimedia@lists.debian.org

  [ Bartosz Fenski ]
  * New upstream version 1.16

 -- Bartosz Fenski <fenio@debian.org>  Sat, 30 Jun 2018 14:16:16 +0200

flowblade (1.12-1) unstable; urgency=low

  * New upstream version.

 -- Bartosz Fenski <fenio@debian.org>  Sat, 18 Mar 2017 15:45:10 +0100

flowblade (1.10-2) unstable; urgency=medium

  * Remove myself as uploader: Someone once wrote wrote that
    "collaborating means talking to each other too" and then didn't.

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 07 Jan 2017 20:56:47 +0100

flowblade (1.10-1) unstable; urgency=low

  [Bartosz Fenski]

  * New upstream version. (Closes: #840503)
  * Removed menu to make lintian happy.
  * Added me to uploaders.

  [Jonas Smedegaard]

  * Document upgrades in README.source.
  * Update watch file:
    + Bump to file format 4.
    + Use github pattern.
    + Mention README.source in usage comment.
  * Modernize git-buildpackage config:
    + Filter any .git* file.
    + Add usage comment.
    + Sign tags.
  * Declare compliance with Debian Policy 3.9.8.
  * Drop obsolete lintian override regarding debhelper 9.
  * Use CDBS (not custom script) to extract metadata for copyright
    check:
    + Build-depend on licensecheck (not devscripts).
    + tighten build-dependency on cdbs.

 -- Bartosz Fenski <fenio@debian.org>  Sat, 07 Jan 2017 16:17:51 +0100

flowblade (1.6-2) unstable; urgency=medium

  * Update package relations: Fix depend on python-gi-cairo.
    Thanks to Andrey Teplyashin.

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 19 Mar 2016 15:48:59 +0100

flowblade (1.6-1) unstable; urgency=medium

  [ upstream ]
  * New releases.
    Main Features:
    + Add G'MIC effects tool.
    + Support for changing project profile.
    + Support for drag'n'drop of media files from other applications.
    + Update middlebar to include more features on wide screens.
    + Add 'Sync All Compositors' functionality.
    Bugfixes and enhancements:
    + Fix set parent clip functionality.
    + Fix translation scripts.
    + Re-create all media icons always when requested.
    + Fix dark theme monitor indicator icon.
    + Fix change to first bin after media load bug.
    + Remove alpha mode functionality from compositors.
    + Fix batch render to respect profile selection.
    + Fix single render to respect changed profile.
    + Open missing asset project directly from info dialog into Media
      Relinker on request.
    + Add Mark In and Mark Out data to clip info dialog.
    + Remove write env data functionality.
    + Fix dark theme mute video icon.
    + Add transition button to TC Middle layout and combine it with edit
      buttons group.
    + Fix filter cloning for filters witn non-mlt properties.
    + Make Titler work better with non-square pixel formats.
    + Add HD 1080p 60fps profile.
    + Range Log sorting upgrade and gmic encode view update.
    + New undo-redo icons.
    + Render slowmo files from original when using proxy files.
    + Make possible to render slowmo file from a Range Log item.
    + RHEL7/CentOS compatibility patch.
    + Fix file info fps display.
    + Make relinker and batchrender use dark theme.
    + Make single render use dark theme and add percentage display.
    + New in/out markers.

  [ Jonas Smedegaard ]
  * Include upstream added KNOWN_ISSUES.md file.
  * Update package relations: Depend on gmic.

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 07 Mar 2016 17:43:28 +0100

flowblade (1.4-1) unstable; urgency=medium

  [ upstream ]
  * New releases.
    Main Features:
    + Add Fade/Transition cover delete feature.
    + Deleting single rendered fade/transition clip now replaces with
      adjacent clips.
    + Clip ends drag with Control + Right mouse.
    + Add drag'n'drop overwrite action on non-V1 tracks.
    + Add always-on audio levels display functionality.
    + Filters can now be copy/pasted from one clip to another.
    Other features and enhancements:
    + Fix media relinking for projects with SAVEFILE_VERSION < 4.
    + Add 1080p 50fps profile.
    + Fix keys 1-6 stopping working after tool selection.
    + Fix snapshot save same basename bug.
    + Add fullscreen view.
    + Begin work on add xdg-app support.
    + Fix color clips backwards compatibility for some old projects.
    + Add info text active keyframe and number of keyframes to keyframe
      editors.
    + Make 'Control + Left/Right arrow' move 10 frames at a time.
    + Add 'Clear Filters' item to clip pop-up menu.
    + Make effects editor keyframe editors listen for space key
      play/stop.
    + Fix crashing keyframe editor for multitrack moves.
    + Make compositor editors zoom with mouse scroll.
    + Make Space for play/stop work then focus on keyframe editor.
    + Make Affine Blend editable with arrows keys.
    + Make keyframeeditor.RotatingGeometryEditor receive keyframe
      updates.

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 07 Mar 2016 16:58:48 +0100

flowblade (1.2-1) unstable; urgency=medium

  [ upstream ]
  * New releases.
    Main Features:
    + Flowblade has now been ported to GTK3.
    + All rendering was moved out of process.
    + Improved support for dark theme.
    + Upgraded small screen support.
    Other bug fixes and enhancements:
    + Add preference to always use English on a localized OS.
    + Make audio sample rate user selectable for rendering.
    + Drop support for creating new 'Affine' compositors.
    + Make color clips use hidden pngs instead of mlt producer.
    + Fix MPEG-4 / .mp4 rendering to always respect source image shape.
    + Fix transform filters.
    + Fix clip audio sample frequency and channels info display.
    + Use translations at /usr/share/locale if available.
    + Fix preset encodings batch rendering.
    + Make image sequence open dialog reuse earlier media directory.
    + Make out-of-process tools write log files.

  [ Jonas Smedegaard ]
  * Update package relations:
    + Depend on python-gi and GIO bindings glib-2.0 gtk-3.0 pango-1.0
      (not python-gobject-2 python-gtk2 python-gnome2).
    + Depend on GIO binding gdkpixbuf-2.0 (not gtk2-engines-pixbuf).
  * Update copyright info:
    + Fix add Files section for SVGs containing CC-licensed sand bitmap.

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 07 Mar 2016 16:18:30 +0100

flowblade (1.0-1) unstable; urgency=medium

  [ upstream ]
  * New releases.
    Bug fixes and enhancements:
    + Make range item delete work logically.
    + Fix Range log group functionality.
    + Media files pop-ups only display usable items for media type.
    + Fix Media Relinker to work with image sequences correctly.
    + Make backup snapshot have .flb ext no matter what user enters.
    + Fix snapshot saving for image sequences.
    + Add missing image sequence proxy render functionality.
    + Fix snapshot relative paths lookup for image sequences.
    + Update project event time display text.
    + New fallback thumbnail icon.
    + Fix MLT version comparison.
    + Fix Brightness Keyframed bug.
    + Move help files from Google Code to HTML resource files.
    + Remove panel frame shadows for cleaner look.

  [ Jonas Smedegaard ]
  * Update package relations:
    + Fix depend on python-dbus (needed since 0.16.0).
    + Depend on python-pil.
  * Include upstream added changelog and other documentation files.
  * Declare compliance with Debian Policy 3.9.7.
  * Modernize Vcs-Git field: Use https protocol.
  * Update copyright info:
    + Use License-Grant and License-Reference fields.
      Thanks to Ben Finney.
    + Extend copyright of packaging to cover current year.
    + Fix paths in Files sections.
  * Add lintian overrides regarding license in License-Reference field.
    See bug#s786450.
  * Bump debhelper compatibility level to 9.
  * Add lintian override regarding debhelper 9.

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 07 Mar 2016 14:04:18 +0100

flowblade (0.18-1) unstable; urgency=medium

  [ upstream ]
  * New releases.
    Main Features:
    + Add support for relative paths for media assets.
    + Add ability to save backup snapshot.
    + New Media Relinker tool.
    + Support for export project as a sequence of images.
    Other features and enhancements:
    + Current Frame export.
    + Fix Batch render track mute bug.
    + Add Color Pulse and Ising pattern producers.
    + Fix Titler closing and saving bugs.
    + Add Color Lift Gain Gamma filter.

  [ Jonas Smedegaard ]
  * Update upstream URLs to new home at github.com.
  * Update copyright info: Extend coverage for myself.
  * Fix delete backup files.
  * Check copyright/licensing of PNG files using generalized
    license-miner script.
  * Build-depend on libregexp-assemble-perl libimage-exiftool-perl
    libfont-ttf-perl: Needed by license-miner.
  * Set executable bit on all action files.

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 16 May 2015 11:42:33 +0200

flowblade (0.16.0-1) experimental; urgency=medium

  [ upstream ]
  * New releases.
    Release 0.16.0:
    + Audio Master Meter added.
    + New Chroma Key filter.
    + New Luma Key filter.
    + Batch Rendering changed to use dbus - should actually work now.
    + Add German and Italian translations.
    + Fix Quick Enter and Quick Exit trim white blank display bug.
    + Fix start-up problem from missing threads_enter().
    + Require pygtk 2.0 to fix start-up on some systems.
    + Update timeline tools overlay GUI.
    + Make Clip Monitor remember displayed frame.
    + Fix flashing black around monitor bug.
    + Add keyboard shortcuts ALT+I and ALT+O to move to in/out points.
    + View selector for media panel to display all or some files.
    + Add info on duplicate media items on load.
    + Refactor and fix audio monitoring display update and exit.

  [ Jonas Smedegaard ]
  * Packaging moved back to multimedia team (co-maintainer found).
    Update Cvs-* fields and Maintainer, and add Uploaders.
  * Add Alessio Treglia as uploader.
  * Exclude more upstream shipped backup files.
  * Drop patch 1001: Adopted upstream.

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 07 Jan 2015 19:38:08 +0100

flowblade (0.14.0-1) unstable; urgency=low

  [ upstream ]
  * New releases.
    Release 0.10.0:
    + Tools metaphor used for editing (not Edit Modes).
    + Audio Mixer window with VU meter + gain and pan controls.
    + Affine Blend compositor for keyframed opacity/affine composites.
    + Image sequences of numbered frames can be imported now as media.
    + Preset rendering options for commonly used file types.
    + Range Log panel for saving/naming media files' Mark In/Out ranges.
    + Marks can now be placed to identify positions on the timeline.
    + Single track rendered transitions for quick dissolves and wipes.
    + Auto consolidate blanks.
    + GUI Look'n'Feel updated with new icons and custom buttons.
    Release 0.12.0:
    + Slip tool to change media displayed in clip in one edit action.
    + Proxy editing workflow for high-demanding editing material.
    + Batch rendering application to render programs in the background.
    + Dark Theme support.
    + Copy Pasting clips on the timeline is now possible.
    Release 0.14.0:
    + Color Correction improvements.
      - New 3 band color correcting filter Color Grading.
      - Industry standard Catmull-Rom based Curves filter.
      - RGB Adjustment filter with new intuitive editor.
    + Spacer tool to move all timeline items on all tracks as one unit.
    + Audio levels displayed on clips are now rendered much quicker.
    + Improved Range Log functionality.
      - Range Log items can now be dragged onto Timeline.
      - Timeline Clips can dragged to create Range Log items.
      - Range Log items can be arranged into groups.
    + Quick Enter and Quick Exit for trim tools make editing more fluid.

  [ Jonas Smedegaard ]
  * Update upstream-tarball hints for current upstream source.
  * Update Vcs-Browser URL to use cgit web frontend.
  * Declare compliance with Debian Policy 3.9.6.
  * Packaging moved to collab-maint git (lacks multiple maintainers
    required at Multimedia team). Update Cvs-* fields and Maintainer,
    and drop Uploaders.
  * Stop depending on python-imaging.
  * Exclude yet another upstream shipped backup file.
  * Skip gettext *.mo files from copyright check.
  * Update copyright info:
    + Extend coverage for main upstream author to include recent years.
  * Fix executable bits and avoid backup files from install.
    Thanks to lintian.

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 16 Oct 2014 23:27:57 +0200

flowblade (0.8.0-3) unstable; urgency=low

  * Add README.source emphasizing control.in file as *not* a
    show-stopper for contributions, referring to wiki page for details.
  * Depend on python-mlt, favored over python-mlt5 and python-mlt2.
  * Sync control.in with control: Use anonscm.debian.org URL for
    Vcs-Git.

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 09 Aug 2013 20:41:51 +0200

flowblade (0.8.0-2) unstable; urgency=low

  * Fix add dependencies for binary package.

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 07 Jan 2013 21:51:34 +0100

flowblade (0.8.0-1) unstable; urgency=low

  * Initial release
    Closes: #672995.

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 26 Dec 2012 08:16:31 +0100
